#include <bits/stdc++.h>

using namespace std;

void resi(int a[], int n){
    int najv = -1, levi = -1, desni, indeks;
    for(int i = n - 1;i >= 0;i--){
        if(a[i] > najv){
            indeks = i;
            najv = a[i];
        }
        else if(a[i] <= najv){
            desni = indeks;
            levi = i;
        }
    }
    if(levi == -1)
        swap(a[n-1], a[n-2]);
    else
        swap(a[levi], a[desni]);
    for(int i = 0;i < n;i++)
        cout << a[i] << " ";
}

int main(){
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int a[n];
    for(int i = 0;i < n;i++) cin >> a[i];
    resi(a, n);
    return 0;
}